.m-loader {
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f7f7f7;
    transition: opacity 0.75s, visibility 0.75s;
}

.m-loader::after {
    content: "";
    width: 75px;
    height: 75px;
    border: 15px solid #ddd;
    border-top-color: #49e287;
    border-radius: 50%;
    animation: loading 0.75s ease infinite;
}

.m-hidden {
    opacity: 0;
    visibility: hidden;
}

@keyframes loading {
    from {
        transform: rotate(0turn);
    }

    to {
        transform: rotate(1turn);
    }
}